What's the best XML parser for Perl?

I have tried many of the Perl XML Parsers. I was quite interested in the Sablotron Parser, but it is such a pain to install on a Windows box. Currently I have started using XML::LibXML and...

Windows XP / active perl 5.12.3 / XML::LibXSLT / unable to install

I am trying to install XML::LibXSLT package on my dev machine but its not working. First of all PPM GUI doesn't even show this package and when i try to install it using cpan i get following...

Java app can't connect to local postgresql

I have a simple Java application that needs to connect to a PostgresSQL running on local host. The DB is up and running, and I can connect to it using the username and password using the psql...

Error while installing PostgreSQL ODBC - libpq library not found

I am trying to install the Postgres ODBC driver on my Mac. I installed postgres 8.4 with brew. I downloaded the ODBC driver from here. http://ftp.postgresql.org/pub/odbc/versions/src/ Then I...

php giving strange output

So after migrating to a different host, exporting and importing database, fixing links, I am getting some strange output of my php which worked fine on the previous host. php connect: <?php $con =...

XML::LibXSLT fails to install at Heroku

I fail to install XML::LibXSLT on Heroku. It looks like the required libraries gdbm is not installed, despite being listed as installed Ubuntu packages at Heroku stack cedar and cedar-14. Similar...

Laravel: Call to undefined function Symfony\Component\Console\mb_convert_variables()?

I'm running a vanilla Amazon EC2 server. I installed PHP 5.5.21 myself. My web application is built on Laravel. For weeks, everything was working flawlessly. Now, however, when running the...

pg_config shows 9.4 instead of 9.3

I am using Postgres 9.3, however my pg_config points at 9.4, preventing me from building extensions (pgTap). $ sudo aptitude search postgresql | grep ^i i postgresql-9.3 -...

Fail to install lxml on ubuntu

I am attempting to install lxml inside a virtualenv on ubuntu 14.04. $ uname -a Linux foobar 3.13.0-48-generic #80-Ubuntu SMP Thu Mar 12 11:16:15 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux $...

Wordpress needs FTP credentials

I install Wordpress 4.3 on my Apache 2.4 but there is a problem when I want to upload themes, install plugins or updates : "Wordpress needs to access your web server. Please enter your ftp...

Perl Error while performing xslt transformation

I am trying to perform a simple xml transformation using XSLT 1.0. Here are my xml and xslt files. XML File <?xml version="1.0"?> <?xml-stylesheet type="xsl" href="trans.xsl"?> <Article> ...

exsl:document in xsl:if block

Here is a toned down version of my use case. I have a transformation xsl file which is as follows <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" ...

XSLT 1.0 generation of a directory

Is there any facility available in XSLT 1.0 or exslt to generate a result document so that it also creates the directory(ies) in the path if they are not present? Or do I have to create the...

exsl:document not working properly

On Windows 7, I trying transform a single document using Perl v5.8.8 and libXSLT version 1.66. Here is the toned down version of my use case. Perl Script use strict; use warnings; use...

Perl 5.20.2 with libXSLT 1.94 error

I have pretty recent Perl version installed on my OS X machine % uname -a Darwin X-maci 15.6.0 Darwin Kernel Version 15.6.0: Thu Jun 23 18:25:34 PDT 2016; root:xnu-3248.60.10~1/RELEASE_X86_64...

How to install psycopg2 on mac with virtualenv on Python3.6?

I am running OSX 10.12.2 (16C67) and 3.6.0 inside virtualenv. I have tested following. ➜ ~ brew services restart postgresql Stopping `postgresql`... (might take a while) ==> Successfully...

Uncaught Error: Class 'mysqli' not found when accessing by web

Since tonight, without anyone having touched anything, all web accesses to my scripts on a Centos machine report this error. Executing the scripts with the php command on the shell does not...

Building docker image with TeXLive 2017 and latexml

I am trying to make a docker image with full TeXLive 2017 and latexml for compiling latex to pdf and also converting latex to html. I believe this would be a useful tool. Here is my...

Does XAMPP on Linux install Apache, PHP, etc separately & how do I upgrade it?

I am looking to install XAMPP on Ubuntu 16.04LTS. The website says that it includes: Apache 2.4.27, MariaDB 10.1.26, PHP 7.1.8 + SQLite 2.8.17/3.7.17 + multibyte (mbstring) support, Perl 5.16.3,...

XSLT 1.0 - external file lookup table

I am using Perl and the CPAN module XML::LibXSLT to perform XML transformations (thus restricted to XSLT version 1.0). I am completely new to XSLT transformations, but I find it interesting and...

postgresql in docker image

I am trying to run the code from the below link. https://github.com/docker-library/postgres/tree/master/11/alpine But jenkins build is failing, i have pasted the error message from jenkins below. ...

XML::LibXSLT failed to install on macOS Catalina

I was using cpan to try to install XML::LibXSLT. sudo cpan-> install XML::LibXSLT but couldn't install it. Here's the detailed error message: Loading internal logger. Log::Log4perl recommended for...

Why do official perl docker images have two version of perl?

I'm working on a legacy product which uses the Docker perl:5.10-threaded image and ran into an issue trying to debug things when I discovered there are two version of perl - one in...

unable to comile PostgreSQL with error message "could not find shared library for Python"

I've been trying to build the REL_10_STABLE version of PostgreSQL using MSYS2 in windows 10 environment.Here is the command that I execute for configuring the build: ./configure...

Adding Timescaledb extension in postgres db in window cannot found timescaledb.control error

adding timescaledb extension in postgresql db by following command in windows. Command: CREATE EXTENSION IF NOT EXISTS timescaledb; Error: could not open extension control file...

How to specify Postgresql client version to prevent server version mismatch?

I use homebrew-postgresql formula to manage multiple Postgresql version. When I tried to run rails db:migrate with :sql as the schema_format, it produced pg_dump -s -x -O -f...

PostgreSQL 10 reads postgresql.conf from /etc but data directory specified in /var

I am confused about the configuration of my PostgreSQL 10 installation on Ubuntu on WSL2. I initialized the db to use trust authentication (not my requirement, insecure I know) and specified the...

Install extension in postgres

I am trying to add https://github.com/adjust/pg-numhstore extension to my postgres. when i run the command: CREATE EXTENSION numhstore I get no control file found. I added the control file in...

OCI does not appear in php info

OS: RHEL 7.8 /usr/include/oracle/11.2/client [[email protected] client]# php --version PHP 7.4.8 (cli) (built: Jul 9 2020 08:57:23) ( NTS ) Copyright (c) The PHP Group Zend Engine v3.4.0,...

How to configure pg_config/pgxs/make to pick up CPPFLAGS and CFLAGS in the Makefile to build Postgres C/C++ extensions?

I would like to add compiler flags to build my Postgres C/C++ extension. I have tried standard Makefile practices but pg_config does not pick up any of the compiler flags I add. The Makefile is as...